Services
All operations require authentication.
3 operationsv1/vrack · /vrack/{serviceName}
List vRacks. Returns the service names of the vRacks of the account.Production
GET
/1.0/ vrack
Query parameters
iam Tags
object
Filter resources on IAM tags
Response
200string []successful operation
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a vRack. Returns the name and description of the vRack.Production
GET
/1.0/ vrack/ {serviceName}
Path parameters
service Name
required
string
The internal name of your vrack
Response
200vrack With IAMsuccessful operation
description
string
Description of the vRack
iam
read-only
Resource Metadata
IAM resource metadata
name
string
Name of the vRack
service Name
read-only
string
Service name of your vRack on OVHcloud
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "name": "string", "serviceName": "string"}
Update a vRack. Updates the name or description of the vRack.Production
PUT
/1.0/ vrack/ {serviceName}
Path parameters
service Name
required
string
The internal name of your vrack
Request body (required)
description
string
Description of the vRack
name
string
Name of the vRack
service Name
read-only
string
Service name of your vRack on OVHcloud
Response
200—successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"